Subject: Re: bug#48240: “guix copy” to host with daemon listening on TCP fails

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 May 2021 11:56:34 +0200

Hi,

Simon Streit <[email-masked]> skribis:

> Then it was suggested I checkout to commit
> dd14678b9b9843be20e2bbb98ceb30d2433dab82 and force downgrade my new
> system.  While doing so, I noticed that guix-daemon would still offload,
> while if I'd type in `guix offload test`, I'd get a response:
>
> guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
> guix offload: Guix is usable on 'host' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
> guix offload: 'host' is running GNU Guile 3.0.5
> guix offload: error: failed to connect over SSH to daemon at 'host', socket /var/guix/daemon-socket/socket
>
> Anyway, back to this old commit offloading works for all users. 

Is the socket file name displayed above correct?  Or did you specify
something else in the <build-machine> record?

Is the ‘GUIX_DAEMON_SOCKET’ environment variable defined on that
machine?

How do you run guix-daemon on the head node?  The patches discussed here
haven’t made it into the ‘guix’ package yet AFAIK.

Thanks for reporting the issue!

Ludo’.